<?php

namespace WishListMember\PaymentProviders\Stripe\PHPLib\Service\Terminal;

class ConnectionTokenService extends \WishListMember\PaymentProviders\Stripe\PHPLib\Service\AbstractService {

	/**
	 * To connect to a reader the Stripe Terminal SDK needs to retrieve a short-lived
	 * connection token from Stripe, proxied through your server. On your backend, add
	 * an endpoint that creates and returns a connection token.
	 *
	 * @param null|array $params
	 * @param null|array|\WishListMember\PaymentProviders\Stripe\PHPLib\Util\RequestOptions $opts
	 *
	 * @throws \WishListMember\PaymentProviders\Stripe\PHPLib\Exception\ApiErrorException if the request fails
	 *
	 * @return \WishListMember\PaymentProviders\Stripe\PHPLib\Terminal\ConnectionToken
	 */
	public function create( $params = null, $opts = null) {
		return $this->request('post', '/v1/terminal/connection_tokens', $params, $opts);
	}
}
