<?php

namespace WishListMember\PaymentProviders\Stripe\PHPLib\Util;

class ObjectTypes {

	/**
	 * @var array Mapping from object types to resource classes
	 */
	const MAPPING = [
		\WishListMember\PaymentProviders\Stripe\PHPLib\Account::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Account::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\AccountLink::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\AccountLink::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\AlipayAccount::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\AlipayAccount::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\ApplePayDomain::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\ApplePayDomain::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\ApplicationFee::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\ApplicationFee::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\ApplicationFeeRefund::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\ApplicationFeeRefund::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Balance::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Balance::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\BalanceTransaction::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\BalanceTransaction::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\BankAccount::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\BankAccount::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\BillingPortal\Session::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\BillingPortal\Session::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\BitcoinReceiver::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\BitcoinReceiver::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\BitcoinTransaction::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\BitcoinTransaction::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Capability::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Capability::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Card::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Card::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Charge::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Charge::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Checkout\Session::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Checkout\Session::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Collection::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Collection::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\CountrySpec::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\CountrySpec::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Coupon::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Coupon::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\CreditNote::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\CreditNote::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\CreditNoteLineItem::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\CreditNoteLineItem::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Customer::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Customer::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\CustomerBalanceTransaction::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\CustomerBalanceTransaction::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Discount::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Discount::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Dispute::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Dispute::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\EphemeralKey::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\EphemeralKey::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Event::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Event::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\ExchangeRate::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\ExchangeRate::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\File::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\File::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\File::OBJECT_NAME_ALT => \WishListMember\PaymentProviders\Stripe\PHPLib\File::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\FileLink::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\FileLink::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Invoice::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Invoice::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\InvoiceItem::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\InvoiceItem::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\InvoiceLineItem::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\InvoiceLineItem::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Authorization::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Authorization::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Card::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Card::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\CardDetails::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\CardDetails::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Cardholder::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Cardholder::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Dispute::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Dispute::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Transaction::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Issuing\Transaction::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\LineItem::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\LineItem::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\LoginLink::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\LoginLink::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Mandate::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Mandate::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Order::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Order::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\OrderItem::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\OrderItem::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\OrderReturn::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\OrderReturn::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\PaymentIntent::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\PaymentIntent::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\PaymentMethod::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\PaymentMethod::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Payout::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Payout::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Person::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Person::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Plan::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Plan::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Price::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Price::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Product::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Product::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Radar\EarlyFraudWarning::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Radar\EarlyFraudWarning::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Radar\ValueList::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Radar\ValueList::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Radar\ValueListItem::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Radar\ValueListItem::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Recipient::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Recipient::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\RecipientTransfer::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\RecipientTransfer::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Refund::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Refund::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Reporting\ReportRun::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Reporting\ReportRun::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Reporting\ReportType::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Reporting\ReportType::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Review::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Review::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\SetupIntent::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\SetupIntent::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Sigma\ScheduledQueryRun::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Sigma\ScheduledQueryRun::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\SKU::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\SKU::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Source::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Source::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\SourceTransaction::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\SourceTransaction::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Subscription::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Subscription::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\SubscriptionItem::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\SubscriptionItem::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\SubscriptionSchedule::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\SubscriptionSchedule::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\TaxId::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\TaxId::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\TaxRate::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\TaxRate::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Terminal\ConnectionToken::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Terminal\ConnectionToken::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Terminal\Location::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Terminal\Location::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Terminal\Reader::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Terminal\Reader::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\ThreeDSecure::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\ThreeDSecure::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Token::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Token::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Topup::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Topup::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\Transfer::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\Transfer::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\TransferReversal::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\TransferReversal::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\UsageRecord::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\UsageRecord::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\UsageRecordSummary::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\UsageRecordSummary::class,
		\WishListMember\PaymentProviders\Stripe\PHPLib\WebhookEndpoint::OBJECT_NAME => \WishListMember\PaymentProviders\Stripe\PHPLib\WebhookEndpoint::class,
	];
}
