<?php
/**
 * WishList Member
 *
 * @package WishListMember
 */

/**
 * Plugin meta data.
 *
 * @var string
 */
$wlm_plugin_data = <<<plugin_data
Plugin Name: WishList Member&trade;
Plugin URI: https://wishlistmember.com/
Description: <strong>WishList Member&trade;</strong> is the most comprehensive membership plugin for WordPress users. It allows you to create multiple membership levels, protect desired content and much more. For more WordPress tools please visit the <a href="http://wishlistproducts.com/blog" target="_blank">WishList Products Blog</a>. Requires at least WordPress 5.0+ and PHP 5.6+ (PHP 7.4+ recommended)

Version: 3.24.0
Requires at least: 5.0
Requires PHP: 5.6

Author: WishList Products
Author URI: https://wishlistproducts.com/

Text Domain: wishlist-member
Domain Path: /lang

Product Slug: wishlist-member-product-slug

License: GPLv2
plugin_data;

defined( 'ABSPATH' ) || die();

if ( require_once 'includes/collision.php' ) {
	// collision detected.
	return;
}

// constants.
require_once 'includes/constants.php';

/**
 * Plugin base directory
 *
 * @var string
 */
define( 'WLM_PLUGIN_DIR', __DIR__ );

/**
 * Plugin file
 *
 * @var string
 */
define( 'WLM_PLUGIN_FILE', __FILE__ );

if ( ! require_once 'versioncheck.php' ) {
	// version requirements not met.
	return;
}

// load includes.
require_once 'includes/includes.php';

if ( class_exists( 'WishListMember' ) ) {
	/**
	 * Helper function to return $WishListMemberInstance
	 *
	 * Long term goal is to avoid using $WishListMemberInstance directly
	 *
	 * @return (object) \WishListMember
	 */
	function wishlistmember_instance() {
		return $GLOBALS['WishListMemberInstance'];
	}

	// phpcs:disable WordPress.NamingConventions.ValidVariableName.VariableNotSnakeCase
	global $WishListMemberInstance; // make sure $WishListMemberInstance is global.
	$WishListMemberInstance = new WishListMember();
	// initialize WishList Member.
	wishlistmember_instance()->initialize( WLM_PLUGIN_FILE, WLM_SKU, 'WishListMember', 'WishList Member', 'WishListMember' );

	// load the rest of the includes.
	require_once 'includes/includes-after-init.php';

	// additional methods.
	wishlistmember_instance()->overload();
}
